<template>
  <footer class="footer__container">
    <div class="footer__container-wrapper">
      <nuxt-link to="/">
        <img
          class="footer__logo"
          src="/acolher.me.svg"
          alt="Logotipo do Acolher.me"
        />
      </nuxt-link>
      <div class="desktop-only">
        <p class="footer__credits">© Copyright 2019 Acolher.me</p>
        <p class="footer__credits">Todos os direitos reservados</p>
      </div>
    </div>

    <div class="footer__links">
      <div>
        <h4 class="footer__link-title">Produto</h4>
        <nuxt-link class="footer__link" to="/">Página inicial</nuxt-link>
        <!-- <nuxt-link class="footer__link" to="/">Funcionalidades</nuxt-link>
        <nuxt-link class="footer__link" to="/">Taxas</nuxt-link> -->
      </div>

      <div>
        <h4 class="footer__link-title">Recursos</h4>
        <nuxt-link class="footer__link" to="/">
          Política de privacidade
        </nuxt-link>
        <nuxt-link class="footer__link" to="/">Termos de uso</nuxt-link>
      </div>

      <div>
        <h4 class="footer__link-title">Contato</h4>
        <!-- <p class="footer__contacts">+55 82 99999-9999</p> -->
        <p class="footer__contacts">contato@acolher.me</p>
      </div>
    </div>

    <div class="mobile-only">
      <p class="footer__credits">© Copyright 2019 Acolher.me</p>
      <p class="footer__credits">Todos os direitos reservados</p>
    </div>
  </footer>
</template>

<script>
export default {
  name: 'Footer'
}
</script>

<style lang="less" scoped>
.footer {
  &__container {
    padding: 20px;
    padding-top: 40px;
    margin-bottom: 40px;
    border-top: 1px solid @primary-color;
    display: flex;
    align-items: flex-start;

    &-wrapper {
      margin-right: 20px;
    }

    @media only screen and (max-width: 750px) {
      flex-direction: column;
      align-items: center;
    }
  }

  &__logo {
    width: 140px;
    margin-bottom: 20px;
  }

  &__credits {
    margin-bottom: 0;
  }

  &__links {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex: 1;

    div {
      @media only screen and (max-width: 750px) {
        margin-top: 20px;
      }
    }

    div:not(:last-of-type) {
      margin-right: 60px;

      @media only screen and (max-width: 900px) {
        margin-right: 20px;
      }
    }

    @media only screen and (max-width: 900px) {
      justify-content: flex-end;
    }

    @media only screen and (max-width: 750px) {
      flex-direction: column;
      align-self: flex-start;
    }
  }

  &__link {
    display: block;
    font-size: 1.6rem;

    &-title {
      font-weight: 600;
      font-size: 1.8rem;
    }
  }

  &__contacts {
    color: @primary-color;
    margin-bottom: 0;
    font-size: 1.6rem;
  }
}

.mobile-only {
  display: none;

  @media only screen and (max-width: 750px) {
    display: flex;
    flex-direction: column;
    text-align: center;
    margin-top: 40px;
  }
}

.desktop-only {
  @media only screen and (max-width: 750px) {
    display: none;
  }
}
</style>
